#include <assert.h>
#include <stdlib.h>

#include <X11/Intrinsic.h>
#include <Xm/Xm.h>
#include <Xm/MainW.h>
#include <Xm/RowColumn.h>
#include <Xm/Form.h>
#include <Xm/PushB.h>
#include <Xm/PushBG.h>
#include <Xm/Frame.h>
#include <Xm/PanedW.h>
#include <Xm/MainW.h>

#include "compose.h"
#include "mail_window.h"
#include "main.h"
#include "util.h"

Widget manager, button_panel;
Widget compose_btn, trash_btn;

void compose(Widget w, XtPointer closure, XtPointer client_data);
void trash(Widget w, XtPointer closure, XtPointer client_data);

void supermail_show()
{
  manager = XtCreateManagedWidget("manager", xmMainWindowWidgetClass, toplevel, NULL, 0);

  button_panel = XtCreateManagedWidget("buttonPanel", xmRowColumnWidgetClass, manager, NULL, 0);

  /* first I create them */
  compose_btn = XtCreateManagedWidget("compose", xmPushButtonWidgetClass, button_panel, NULL, 0);
  trash_btn = XtCreateManagedWidget("trash", xmPushButtonWidgetClass, button_panel, NULL, 0);  

  /* then I enable them */
  XtVaSetValues(compose_btn,
                XmNlabelPixmap, fn_pixmap("compose.xpm"),
                NULL);
  XtVaSetValues(trash_btn,
                XmNlabelPixmap, fn_pixmap("trash.xpm"),
                NULL);
  XtAddCallback(compose_btn, XmNactivateCallback, compose, NULL);

  /* so click on the compose button ... */
  XtRealizeWidget(toplevel);
}

void compose(Widget w, XtPointer closure, XtPointer client_data)
{
  /* lastly, when compose opens, the button doesn't show properly. */
  compose_show();
}

