#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>

#include <X11/Intrinsic.h>

#include "mail_window.h"

XtAppContext context;
Widget toplevel;

bool xconfig(Widget w)
{
  XrmDatabase dbres, database;
  Display *dpy = XtDisplay(w);

  dbres = XrmGetFileDatabase("testcase.xrm");
  if (!dbres) return false;

  database = XrmGetDatabase(dpy);
  if (database) XrmMergeDatabases(dbres, &database);
  else XrmSetDatabase(dpy, dbres);

  return true;
}

int main(int argc, char **argv)
{
  toplevel = XtAppInitialize(&context, "testcase", NULL, 0, &argc, argv, NULL, NULL, 0);

  if (!xconfig(toplevel))
  {
    fprintf(stderr, "Warning, failed to load supermail.xrm from current"
                    "directory.\nVisual styling might not apply.\n");
  }

  supermail_show();

  XtAppMainLoop(context);

  return 0;
}
